Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp.net
Class SimpleResponseHandler

    java.lang.Object
      de.grogra.imp.net.SimpleResponseHandler

All Implemented Interfaces:
  ResponseHandler

    public class SimpleResponseHandler

extends java.lang.Object
implements ResponseHandler

Field Summary
`static int` | `INT`
`static int` | `LONG`
`static int` | `STRING`
`static int` | `USER`

Constructor Summary
`SimpleResponseHandler(int type)`

Method Summary
`void` | `consume(int value)`
`int` | `getInt()`
`long` | `getLong()`
`java.lang.String` | `getString()`
`void` | `handleResponse(Connection cx, long requestId, long responseId)`
`protected void` | `handleUserResponse(Connection cx, long requestId, long responseId)`
`void` | `waitForResult()`
`void` | `waitForResultWrapInterruption()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INT

    public static final int INT

See Also:
  Constant Field Values

### LONG

    public static final int LONG

See Also:
  Constant Field Values

### STRING

    public static final int STRING

See Also:
  Constant Field Values

### USER

    public static final int USER

See Also:
  Constant Field Values

Constructor Detail

### SimpleResponseHandler

    public SimpleResponseHandler(int type)

Method Detail

### consume

    public void consume(int value)
                 throws java.lang.InterruptedException,
                        java.io.IOException

  Throws:
    `java.lang.InterruptedException`
    `java.io.IOException`

### getInt

    public int getInt()
               throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

### getLong

    public long getLong()
                 throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

### getString

    public java.lang.String getString()
                               throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

### handleResponse

    public void handleResponse(Connection cx,
                               long requestId,
                               long responseId)
                        throws java.io.IOException

  Specified by:
    `handleResponse` in interface `ResponseHandler`
  Throws:
    `java.io.IOException`

### handleUserResponse

    protected void handleUserResponse(Connection cx,
                                      long requestId,
                                      long responseId)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### waitForResult

    public void waitForResult()
                       throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

### waitForResultWrapInterruption

    public void waitForResultWrapInterruption()
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD